%% ===========================================================================
% Copyright (C):
%       1998-1999 by Telia Research AB, Lulea, Sweden;
%       2000-2003 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% 
% Description   : Startup of a first simple xDSL experiment
%
% File          : startup.m
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : 
%
% CVS:       $Id: startup.m,v 3.1 2002/12/27 15:57:09 tono Exp $
%% ===========================================================================

%% ===========================================================================
% Change History
%      1998-12-22 (ToNo) Created
%      2000-03-30 (ToNo) Added path handling
%      2002-01-25 (ToNo) Print what program to run instead of running it
%      2002-07-01 (ToNo) Adjusted for Octave to Matlab compatibility port
%% ===========================================================================

%% ===========================================================================
% Test if we have problem reading numbers in international OS versions
if 3 == 3.14,
    error(['Matlab thinks 3 is equal to 3.14, ' ...
            'please use an US (or posix C) version of the system. ' ...
            'Or add LC_NUMERIC=us into $MATLAB/bin/.matlab5rc.sh' ]);
end

%% ===========================================================================
% Set up xDSL simulator paths
cwd=pwd;
relative='/../../';
path(path,[cwd relative 'xdslcomm']);
path(path,[cwd relative 'xdsldefs']);
% Set up tool dependent path
if onMatlab
    path(path,[cwd relative 'matlab']);
else
    path(path,[cwd relative 'octave']);
end

%% ===========================================================================
% Greet user
greetings;

fprintf('Execute "Main" to test a program\n');

