function [res] = ABCDprod(x,y);
%getABCD - Multiply two ABCD matrices (over all f)
%
% Parameter:    x,y        The two ABCD matrices
% Returns:      res        The resulting ABCD matrix
%
% Example(s):
%
% Reference:
%
%% ===========================================================================

%% ===========================================================================
% Copyright (C):                                        
%       2001-2002 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : xDSLsimu
% Author(s)     : Petr Kadlec (kadlec@ftw.at)    
%               : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: ABCDprod.m,v 3.1 2003/11/03 12:11:58 tono Exp $
%% ===========================================================================
% Change History
%      2001-11-10 (ToNo) Created
%      2002-07-01 (PeKa) Octave to Matlab compatibility port
%% ===========================================================================

res={x{1}.*y{1} + x{2}.*y{3},     x{1}.*y{2} + x{2}.*y{4},...
	 x{3}.*y{1} + x{4}.*y{3}, x{3}.*y{2} + x{4}.*y{4}};
