function Att_mtr=buildAttMtr(ex,f,no_nodes,tt_topology,Zterm)
% buildAttMtr - Initialise and create the Att_mtr matrix.
%
% Parameter:    ex           Experiment struct
% Parameter:    f            Frequency axis
% Parameter:    no_nodes     Number of nodes
% Parameter:    tt_topology  Scenario Topology
% Parameter:    Zterm        Termination Impedance
% Returns:      Att_mtr      The created insertion loss matrix
%
% Description:
%               For efficiency reasons are Att_mtr built
%               differently in Octave and Matlab
%
% Reference:
%               Matlab - Octave compatibility function    
%% ===========================================================================

%% ===========================================================================
% Copyright (C):                                        
%       2002-2003 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Petr Kadlec (kadlec@ftw.at)    
%               : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: buildAttMtr.m,v 3.1 2003/11/03 12:11:58 tono Exp $
%% ===========================================================================
% Change History
%      2002-07-01 (PeKa)  Created for Octave to Matlab compatibility port
%% ===========================================================================


for id=1:no_nodes
    Att_mtr{id,id}=zeros(size(f));
end

for id=1:no_nodes
    for i=(id+1):no_nodes
        start=id;
        stop=i;
        Att_mtr{start,stop}=getIL(ex,start,stop,tt_topology,f,Zterm);
    end;
end;
