function namelist = getNameList(thelist);
%% ===========================================================================
%getNameList - Gets all available names in a list.
%
% Parameter:    thelist	        The list to be searched
% Returns:      namelist	A list of strings (with the names)
%
% Example(s):
%   scen = getNameList(gui.ttlist); returns an array of strings containing available 
%   names
%
% Algorithmic details:
%
% Reference:
%    FTW's xDSLsimu manual
%% ===========================================================================

%% ===========================================================================
% Copyright (C):
%       1999 by Telia Research AB, Lulea, Sweden;
%       2000-2003 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: getNameList.m,v 3.2 2003/11/03 12:33:22 tono Exp $
%% ===========================================================================
% Change History
%      1999-02-26 (ToNo) Created
%      2003-11-03 (ToNo) Lists now use cell arrays for both Octave and Matlab
%% ===========================================================================

for i=1:length(thelist),
    cells(i)={thelist{i}.name};
end
namelist=str2mat(char(cells));
