function yi = interpolate(x,y,xi)
%% ===========================================================================
% interpolate - Abstraction of a (linear) interpolation routine
%
% Parameter:    x      The vector x specifies the points at which 
% Parameter:    y      the data Y is given.
% Parameter:    xi     The vector xi gives the points where yi
%                      values are to be found
% Returns:      yi     Interpolated values at positions xi
%% ===========================================================================

%% ===========================================================================
% Copyright (C):                                        
%       2002-2003 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: interpolate.m,v 3.2 2002/12/27 15:49:40 tono Exp $
%% ===========================================================================
% Change History
%      2002-08-12 (ToNo) Created
%% ===========================================================================

yi = interp1(x,y,xi,'linear');
