function retval=makeUFplan(grid,plan);
%% ===========================================================================
% makeUFplan - Make universal frequency plan out of grid and plan
%
% Parameter:    grid	The requency grid
% Parameter:    plan	The frequency plan
% Returns:      retval	List with the combined plan
%
%% ===========================================================================

%% ===========================================================================
% Copyright (C):
%       1999 by Telia Research AB, Lulea, Sweden;
%       2000-2003 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: makeUFplan.m,v 3.3 2003/11/03 12:33:22 tono Exp $
%% ===========================================================================
% Change History
%      1999-08-31 (ToNo) Created
%      2003-01-03 (ToNo) Changed into a list for Octave to Matlab compat.
%      2003-11-03 (ToNo) Lists now use cell arrays for both Octave and Matlab
%% ===========================================================================
if nargin<2,
   error('To few arguments');
end

if length(grid) ~= length(plan)+1,
    error('makeUFplan: length mismatch');
end;

retval = {grid(1), plan(1)};
for i=2:length(plan),
    retval = {retval{:}, grid(i), plan(i)};
end;
retval = {retval{:}, grid(length(grid))};