function lclist = etsi_lcdefsADSL(lclist);
%% ===========================================================================
%etsi_lcdefsADSL(lclist) - Sets up the tfplan for ETSI HAM band
%
% Parameter:    lclist	        Structure describing line code dependent stuff
% Returns:      lclist		Structure describing line code dependent stuff
%
% Example(s):
%   ex.lclist = etsi_lcdefsADSL(ex.lclist);       Add to existing lclist
%   lc = getList(ex.lclist,'ADSL_DMT');       Get ADSL DMT line code stuff
%
%   ex.lclist = etsi_lcdefsADSL([]);              Create a new lclist
%   lc = getList(ex.lclist,'ADSL-DMT');       Get ADSL DMT line code stuff
%
% Reference:
%% ===========================================================================

%% ===========================================================================
% Copyright (C):
%       1999 by Telia Research AB, Lulea, Sweden;
%       2000-2003 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: etsi_lcdefsADSL.m,v 3.1 2002/12/27 15:48:08 tono Exp $
%% ===========================================================================
% Change History
%      1999-10-26 (ToNo) Created
%      1999-11-04 (ToNo) Made it into a function
%% ===========================================================================

% ADSL DMT params
tmp_lc=lcDefADSLDMT; %'ADSL-DMT'
lclist=insertList(lclist,tmp_lc);
