function lclist = etsi_lcdefsVDSL(lclist);
%% ===========================================================================
%etsi_lcdefsVDSL(lclist) - Sets up the tfplan for ETSI HAM band
%
% Parameter:    lclist	        Structure describing line code dependent stuff
% Returns:      lclist		Structure describing line code dependent stuff
%
% Example(s):
%   ex.lclist = etsi_lcdefsVDSL(ex.lclist);            Add to existing lclist
%   lc = getList(ex.lclist,'VDSL-SCM');            Get SCM line code stuff
%
%   ex.lclist = etsi_lcdefsVDSL([]);                   Create a new lclist
%   lc = getList(ex.lclist,'VDSL-DMT');            Get DMT line code stuff
%
% Reference:
%   ETSI VDSL TM-06003-2 V0.0.5 (1999-06)
%% ===========================================================================

%% ===========================================================================
% Copyright (C):
%       1999 by Telia Research AB, Lulea, Sweden;
%       2000-2003 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: etsi_lcdefsVDSL.m,v 3.1 2002/12/27 15:48:08 tono Exp $
%% ===========================================================================
% Change History
%      1999-10-25 (ToNo) Created
%      1999-11-04 (ToNo) Made it into a function
%% ===========================================================================

% VDSL DMT params
tmp_lc=lcDefVDSLDMT;   %'VDSL-DMT'
lclist=insertList(lclist,tmp_lc);

% VDSL SCM params
tmp_lc=lcDefVDSLSCM;   %'VDSL-SCM'
lclist=insertList(lclist,tmp_lc);
