function lcPrintTheo(lc);
%% ===========================================================================
%lcPrintTheo - Print the lincode description structure for MCM
%
% Parameter:    lc     Line code structure to print
%
% Reference:
%    FTW's xDSLsimu manual
%% ===========================================================================

%% ===========================================================================
% Copyright (C):
%       1999-2000 by Telia Research AB, Lulea, Sweden;
%       2000-2003 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: lcPrintTheo.m,v 3.2 2002/12/27 15:48:08 tono Exp $
%% ===========================================================================
% Change History
%      1999-10-12 (ToNo) Created
%      2000-01-12 (DaB)  Updated for new struct
%      2000-04-04 (Dab)  added signal margin
%      2000-04-04 (Dab)  Added
%      2000-05-10 (UvAn) Changed the calculation of Shannon gap
%      2002-10-09 (ToNo) Implemented two-sided power constraints
%% ===========================================================================
fprintf('Line code name: %s\n',lc.name);

% SNR stuff
ShannonGap = lc.param.refSNR+lc.param.SNRloss-lc.param.codingGain+lc.param.signal_margin;
fprintf('Shannon gap=%gdB, (the X-talk margin is %gdB) \n',ShannonGap,lc.param.xtalk_margin);

fprintf('SNR ref=%gdB, xtalk_margin=%gdB, signal_margin=%gdB coding gain=%gdB, loss=%gdB, SNRmax=%gdB\n',...
lc.param.refSNR,...
lc.param.xtalk_margin,...
lc.param.signal_margin,...
lc.param.codingGain,...
lc.param.SNRloss,...
lc.param.SNRMax);

fprintf('Maximum Power DOWN=%g dBm, UP=%g dBm \n',...
        lc.param.PxDown,lc.param.PxUp);
fprintf('Efficiency Loss=%5.2f%%\n',lc.param.efficiencyLoss*100);
