function tfplan = templateTFP();
%% ===========================================================================
%templateTFP - Sets up a template for tfplans
%
% Returns:      tfplan		Structure describing the time and freq plan
%
%% ===========================================================================

%% ===========================================================================
% Copyright (C):                                        
%       2002-2003 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: templateTFP.m,v 3.3 2003/03/19 11:16:26 tono Exp $
%% ===========================================================================
% Change History
%      1999-10-25 (ToNo) Created first template
%      2000-04-11 (DaB)  added sync
%      2000-05-26 (UvAn) Added possibillities to fix the bitrate 
%      2002-08-23 (ToNo) Made it into a seperate function
%      2003-01-02 (ToNo) Updated comments
%% ===========================================================================

%% ===========================================================================
% Template, as order is important!

% Default values
tfplan.name                  = 'N/A';
%tfplan.doc.ref               = '';
%tfplan.doc.note              = '';
tfplan.PSD.downstream        = 'N/A';
tfplan.PSD.upstream          = 'N/A';
tfplan.PSD.active.upstream   = [1 30e6];
tfplan.PSD.active.downstream = [1 30e6];
tfplan.PSD.active.actmaskds  = [];
tfplan.PSD.active.actmaskus  = [];
tfplan.PSD.PBO.method        = 'None';	% Power back-off method (-=not applicable)
tfplan.PSD.PBO.param.len     = 1500;	% PBO parameter {length [m]}
tfplan.PSD.PBO.param.freq    = 2e6;	
tfplan.PSD.PBO.param.maxlen  = 1500;
tfplan.PSD.HAM.active        = 0;
tfplan.timeDivision.up       = 1;       % Time used in up resp. downstream
tfplan.timeDivision.down     = 1;
tfplan.timeDivision.sync     = 1;
tfplan.fixBitrate.name       = 'None';  % Fixed bitrate method
tfplan.fixBitrate.active     = 0;       % 0=inactive, 1=active
tfplan.fixBitrate.param      = 'N/A';   
tfplan.lcname                = 'N/A';
